> ## Documentation Index
> Fetch the complete documentation index at: https://kapso-1adbad2d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List WhatsApp webhooks

> Returns a list of webhooks configured for a WhatsApp configuration



## OpenAPI

````yaml api/legacy/openapi-platform.yaml get /whatsapp_configs/{whatsapp_config_id}/whatsapp_webhooks
openapi: 3.0.3
info:
  title: Kapso Platform API
  description: >-
    Build WhatsApp automation into your SaaS. Let your customers connect their
    own WhatsApp Business accounts.
  version: 1.0.0
  contact:
    name: Kapso Support
servers:
  - url: https://app.kapso.ai/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /whatsapp_configs/{whatsapp_config_id}/whatsapp_webhooks:
    get:
      tags:
        - WhatsApp Webhooks
      summary: List WhatsApp webhooks
      description: Returns a list of webhooks configured for a WhatsApp configuration
      operationId: listPlatformWhatsappWebhooks
      parameters:
        - name: whatsapp_config_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: per_page
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
        - name: q[url_cont]
          in: query
          description: Filter webhooks by URL (contains)
          schema:
            type: string
        - name: q[active_eq]
          in: query
          description: Filter webhooks by active status
          schema:
            type: boolean
      responses:
        '200':
          description: A list of WhatsApp webhooks
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/WhatsappWebhook'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Customer not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    WhatsappWebhook:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 9e8d7c6b-5a4f-3e2d-1c0b-9a8f7e6d5c4b
        url:
          type: string
          format: uri
          example: https://example.com/webhook
        secret_key:
          type: string
          example: your-secret-key
          description: Secret key for webhook signature verification
        events:
          type: array
          items:
            type: string
          example:
            - whatsapp.message.received
            - whatsapp.message.sent
          description: List of events this webhook should receive
        active:
          type: boolean
          example: true
          description: Whether this webhook is active
        headers:
          type: object
          additionalProperties:
            type: string
          nullable: true
          example:
            X-Custom-Header: custom-value
          description: Custom headers to include in webhook requests
        buffer_enabled:
          type: boolean
          example: false
          description: Whether message buffering is enabled for batch delivery
        buffer_window_seconds:
          type: integer
          minimum: 1
          maximum: 60
          example: 5
          description: Time window in seconds to buffer messages before sending as batch
        max_buffer_size:
          type: integer
          minimum: 1
          maximum: 100
          example: 50
          description: Maximum number of messages to include in a single batch
        buffer_events:
          type: array
          items:
            type: string
          example:
            - whatsapp.message.received
          description: >-
            List of events that should be buffered (currently only supports
            whatsapp.message.received)
        inactivity_minutes:
          type: integer
          minimum: 1
          maximum: 1440
          example: 60
          description: >-
            Time in minutes to wait with no messages before triggering
            whatsapp.conversation.inactive event (1-1440 minutes, default 60)
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    PaginationMeta:
      type: object
      properties:
        page:
          type: integer
          example: 1
        per_page:
          type: integer
          example: 20
        total_pages:
          type: integer
          example: 5
        total_count:
          type: integer
          example: 100
    Error:
      type: object
      properties:
        error:
          type: string
          example: Resource not found
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your project API key

````